Activity log for bug #1859084

Date Who What changed Old value New value Message
2020-01-09 22:01:51 Lorenz bug added bug
2020-01-09 22:07:07 Lorenz description 1. Build any snap which uses the network-control interface 2. Attach the interface 3. Install and run it on a Raspberry Pi 3 with Ubuntu Core 18 -> permission error Here is an example: snapcraft.yaml: https://paste.ubuntu.com/p/SvsjMGWXzD/ Without attaching the network-control interface, mytest.add responds with Cannot open netlink socket: Operation not permitted When connecting the interface, the action is executed as intended on every machine I tested, except the Raspberry Pi 3 running Ubuntu Core 18. Here, another error is displayed open: Operation not permitted I tested the following configurations (clean images with refreshed snaps): Ubuntu 19.10 amd64 desktop (working) Ubuntu 19.10 server armhf Raspberry Pi 3 (working) Ubuntu Core 18 amd64 (working) Ubuntu Core 18 armhf Raspberry Pi 3 (NOT working) Ubuntu Core 18 arm64 Raspberry Pi 3 (NOT working) 1. Build any snap which uses the network-control interface 2. Install it on a Raspberry Pi 3 with Ubuntu Core 18 2. Attach the interface 3. Run it -> permission error Here is an example: snapcraft.yaml: https://paste.ubuntu.com/p/SvsjMGWXzD/ Without attaching the network-control interface, mytest.add responds with     Cannot open netlink socket: Operation not permitted When connecting the interface, the action is executed as intended on every machine I tested, except the Raspberry Pi 3 running Ubuntu Core 18. Here, another error is displayed     open: Operation not permitted I tested the following configurations (clean images with refreshed snaps):     Ubuntu 19.10 amd64 desktop (working)     Ubuntu 19.10 server armhf Raspberry Pi 3 (working)     Ubuntu Core 18 amd64 (working)     Ubuntu Core 18 armhf Raspberry Pi 3 (NOT working)     Ubuntu Core 18 arm64 Raspberry Pi 3 (NOT working)
2020-01-09 22:07:47 Lorenz description 1. Build any snap which uses the network-control interface 2. Install it on a Raspberry Pi 3 with Ubuntu Core 18 2. Attach the interface 3. Run it -> permission error Here is an example: snapcraft.yaml: https://paste.ubuntu.com/p/SvsjMGWXzD/ Without attaching the network-control interface, mytest.add responds with     Cannot open netlink socket: Operation not permitted When connecting the interface, the action is executed as intended on every machine I tested, except the Raspberry Pi 3 running Ubuntu Core 18. Here, another error is displayed     open: Operation not permitted I tested the following configurations (clean images with refreshed snaps):     Ubuntu 19.10 amd64 desktop (working)     Ubuntu 19.10 server armhf Raspberry Pi 3 (working)     Ubuntu Core 18 amd64 (working)     Ubuntu Core 18 armhf Raspberry Pi 3 (NOT working)     Ubuntu Core 18 arm64 Raspberry Pi 3 (NOT working) 1. Build any snap which uses the network-control interface 2. Install it on a Raspberry Pi 3 running Ubuntu Core 18 2. Attach the interface 3. Run it -> permission error Here is an example: snapcraft.yaml: https://paste.ubuntu.com/p/SvsjMGWXzD/ Without attaching the network-control interface, mytest.add responds with     Cannot open netlink socket: Operation not permitted When connecting the interface, the action is executed as intended on every machine I tested, except the Raspberry Pi 3 running Ubuntu Core 18. Here, another error is displayed     open: Operation not permitted I tested the following configurations (clean images with refreshed snaps):     Ubuntu 19.10 amd64 desktop (working)     Ubuntu 19.10 server armhf Raspberry Pi 3 (working)     Ubuntu Core 18 amd64 (working)     Ubuntu Core 18 armhf Raspberry Pi 3 (NOT working)     Ubuntu Core 18 arm64 Raspberry Pi 3 (NOT working)
2020-01-10 20:54:37 Jamie Strandboge snappy: status New Triaged
2020-01-10 20:55:26 Jamie Strandboge summary network-control interface seems to be broken on the Raspberry Pi 3 running Ubuntu Core 18 tun module is not auto-loaded on UC18/pi3 despite network-control interface being connected
2020-02-01 13:33:52 Sergey Radionov bug added subscriber Sergey Radionov
2020-02-11 14:15:47 Matt Reimer bug added subscriber Matt Reimer
2020-02-21 14:39:41 Sven Herrmann bug added subscriber Sven Herrmann
2020-03-09 22:15:21 Jamie Strandboge affects snappy snapd
2020-03-09 22:15:21 Jamie Strandboge snapd: status Triaged In Progress
2020-03-09 22:15:21 Jamie Strandboge snapd: assignee Jamie Strandboge (jdstrand)
2020-03-10 12:21:51 Jamie Strandboge snapd: status In Progress Fix Committed